Debian Bug report logs - #713913
ITP: libscrypt -- scrypt shared library.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Micah Anderson <micah@debian.org>

Date: Sun, 23 Jun 2013 20:12:01 UTC

Owned by: Micah Anderson <micah@debian.org>

Severity: wishlist

Fixed in version libscrypt/1-1

Done: Micah Anderson <micah@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#713913; Package wnpp. (Sun, 23 Jun 2013 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Anderson <micah@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 23 Jun 2013 20:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libscrypt -- scrypt shared library.
Date: Sun, 23 Jun 2013 16:08:38 -0400
Package: wnpp
Severity: wishlist
Owner: Micah Anderson <micah@debian.org>

* Package name    : libscrypt
  Version         : stable1
  Upstream Author : Joshua Small <technion@lolware.net>
* URL             : http://www.lolware.net/libscrypt.html
* License         : Upstream still deciding
  Programming Lang: C 
  Description     : scrypt shared library.

Scrypt shared library, implementing the reference implementation of the scrypt binary.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Micah Anderson <micah@debian.org>:
Bug#713913; Package wnpp. (Sun, 23 Jun 2013 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Micah Anderson <micah@debian.org>. (Sun, 23 Jun 2013 20:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 713913@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Micah Anderson <micah@debian.org>, 713913@bugs.debian.org
Subject: Re: Bug#713913: ITP: libscrypt -- scrypt shared library.
Date: Sun, 23 Jun 2013 22:21:18 +0200
Hi Micah,

Micah Anderson <micah@debian.org> writes:
> Scrypt shared library, implementing the reference implementation of the scrypt binary.
Please improve this package description. It is unclear what scrypt is
and why it’s great.

-- 
Best regards,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Micah Anderson <micah@debian.org>:
Bug#713913; Package wnpp. (Mon, 24 Jun 2013 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah <micah@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Micah Anderson <micah@debian.org>. (Mon, 24 Jun 2013 16:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 713913@bugs.debian.org (full text, mbox):

From: micah <micah@debian.org>
To: Michael Stapelberg <stapelberg@debian.org>, 713913@bugs.debian.org
Subject: Re: Bug#713913: ITP: libscrypt -- scrypt shared library.
Date: Mon, 24 Jun 2013 12:53:09 -0400
Michael Stapelberg <stapelberg@debian.org> writes:

> Hi Micah,
>
> Micah Anderson <micah@debian.org> writes:
>> Scrypt shared library, implementing the reference implementation of the scrypt binary.
> Please improve this package description. It is unclear what scrypt is
> and why it’s great.

How about something like:

 The scrypt algorithm is a password-based key derivation function
 designed to require large amounts of memory. This proof-of-work scheme
 is intended to make it costly to perform large-scale hardware
 attacks.
 . 
 This package contains a shared library implementing the scrypt
 algorithm, based on the original implementation with a number of
 harnesses and simplified interfaces.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Micah Anderson <micah@debian.org>:
Bug#713913; Package wnpp. (Mon, 24 Jun 2013 22:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Micah Anderson <micah@debian.org>. (Mon, 24 Jun 2013 22:03:10 GMT) Full text and rfc822 format available.

Message #20 received at 713913@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: micah <micah@debian.org>, 713913@bugs.debian.org
Subject: Re: Bug#713913: ITP: libscrypt -- scrypt shared library.
Date: Tue, 25 Jun 2013 00:01:38 +0200
Hi Micah,

micah <micah@debian.org> writes:
> How about something like:
>
>  The scrypt algorithm is a password-based key derivation function
>  designed to require large amounts of memory. This proof-of-work scheme
>  is intended to make it costly to perform large-scale hardware
>  attacks.
>  . 
>  This package contains a shared library implementing the scrypt
>  algorithm, based on the original implementation with a number of
>  harnesses and simplified interfaces.
Much much better. Thanks!

-- 
Best regards,
Michael



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 04 Jul 2013 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to Micah Anderson <micah@debian.org>:
You have taken responsibility. (Fri, 09 Aug 2013 00:03:16 GMT) Full text and rfc822 format available.

Notification sent to Micah Anderson <micah@debian.org>:
Bug acknowledged by developer. (Fri, 09 Aug 2013 00:03:16 GMT) Full text and rfc822 format available.

Message #27 received at 713913-close@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@debian.org>
To: 713913-close@bugs.debian.org
Subject: Bug#713913: fixed in libscrypt 1-1
Date: Fri, 09 Aug 2013 00:00:18 +0000
Source: libscrypt
Source-Version: 1-1

We believe that the bug you reported is fixed in the latest version of
libscrypt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713913@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Micah Anderson <micah@debian.org> (supplier of updated libscrypt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 23 Jun 2013 15:59:17 -0400
Source: libscrypt
Binary: libscrypt-dev libscrypt0
Architecture: source amd64
Version: 1-1
Distribution: unstable
Urgency: low
Maintainer: Micah Anderson <micah@debian.org>
Changed-By: Micah Anderson <micah@debian.org>
Description: 
 libscrypt-dev - scrypt shared library - development files
 libscrypt0 - scrypt shared library
Closes: 713913
Changes: 
 libscrypt (1-1) unstable; urgency=low
 .
   * Initial release (Closes: #713913)
Checksums-Sha1: 
 85d06ceb25fb429a33b279bc89bc17f29048e4e3 1960 libscrypt_1-1.dsc
 2528c8eed3a30ee318de12e9483a9f4c0518f83e 20635 libscrypt_1.orig.tar.gz
 3c3dc5e82a6c4336929544aad8d96f98beb81ea9 3076 libscrypt_1-1.debian.tar.gz
 483db5664a0af04330423d37a7f4c02924360bcc 15654 libscrypt-dev_1-1_amd64.deb
 9906de1d4bda4c82094f1afce8877b6c1d1a05fa 13150 libscrypt0_1-1_amd64.deb
Checksums-Sha256: 
 153626d625067dbaac58e34cc856eccb8abf00fac31f0cb0c339d86a3e229e05 1960 libscrypt_1-1.dsc
 2195bcce694242d3fe9d5f8a50b404a924a00b94f7efaf09519d6d20b9778b70 20635 libscrypt_1.orig.tar.gz
 766afb11c967554f68b69f82861bca01082b3d3ef32ba52b2d1ef34cc05111b0 3076 libscrypt_1-1.debian.tar.gz
 23aa02650c94540b1d15e3717e7a798645003dfc4e420846e9f7df90fd39813d 15654 libscrypt-dev_1-1_amd64.deb
 b4a3dc641daa256f0881bb5be8daa9ce582d9eb8bdbf88ef9ed6349ffc87b6de 13150 libscrypt0_1-1_amd64.deb
Files: 
 8fc1c191fb260806ce5d6409e45e0464 1960 libs extra libscrypt_1-1.dsc
 64ac958fce4b942447577e603e06d994 20635 libs extra libscrypt_1.orig.tar.gz
 7a109f458dc0738add051eebc9e42050 3076 libs extra libscrypt_1-1.debian.tar.gz
 ecb0f555a8b428bb5023d73863412a33 15654 libdevel extra libscrypt-dev_1-1_amd64.deb
 4866237dfd540f723a74df1ae81ce7f2 13150 libs extra libscrypt0_1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQJ8BAEBCgBmBQJR1b1GXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQ0Nzc3NTM1RkU1NDcxNTYyNjI2MDc3QjU4
Q0JGOUEzMjI4NjFBNzkwAAoJEIy/mjIoYaeQ068P+gKzq8POAhs9Sjz8yp3QadvD
5aGXxRjoG5Tmdbf/WcZGevgVcbibsecIMun8ep9tDZxrGeWY14ZUWQWtk7M+fj24
KjTyzD5YZLGUuUDWbADQ6yq06HZ2iQBMOuUD7gBMkvVxI9X8xqfrQvMlMymuIfc5
kjbHQMRaQz3618Y5BrwVHBSsiC6wFaKOpXOQigTpg0W08OKlbq2a6U3TuiM0zjKn
CWNNfKb5LJE1wU7xzfegh7jR0z5xFuuDLKWp58IO6qqm6v3hf67I9AEXmdEmg8iz
IoMLTt42y2B4mPws3TZd/1KeluvphlPWvekW20qGBIzhFG03cx20l++rol1NRsd0
XId0fi2FVSBZYWnKSmVbS5aj5utsMAr8h+2LsjrnyF4IApWGvzgKVG0mGpf7dTeW
hZmrXFO9pNsqggFwWFf7lMGbB5R6BaHZUgt0qzIUReJUS1ssTuEQlgZmQ06t+jsd
ILGM8t7cxQPzllWWXQY9lA7N07JM23G+mj6wWFFf2r1hSUtwrwYWqAasZoVDHpmw
ZEDQQhDQ81Mox4eR+hTOSY8FTpSo1fXQNO5ZSwdsCfJoe1HP2rnxHqYib34esb6N
5rvUjmf90iG8NFU0PR/hyOoVpDeKopAoUDm1Jwp3tOTy/yyfICUYpobM7tir9yfX
6x2GYkxst3QDWPYDSfsy
=aDSK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Sep 2013 07:26:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:31:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.